<br>


<div class="container">
    <h4>Contenido página principal</h4>
    <div class="card  text-dark bg-light mb-3">
        <div class="card-header">
            <div class="d-grid gap-2 d-md-flex justify-content-md-end">
                <button type="button" class="btn btn-primary me-md-2" (click)="openxl(contenido)"> Editar </button>
            </div>
        </div>
        
        <div class="card-body">
            <h5 class="card-title">Título</h5>
            {{ inicio.titulo }}
            <br>
            <br>
            <h5 class="card-title">Subtítulo</h5>
            {{ inicio.subTitulo }}
            <br>
            <br>
            <h5 class="card-title">Misión</h5>
            {{ inicio.mision }}
            <br>
            <br>
            <h5 class="card-title">Visión</h5>
            {{ inicio.vision }}
            <br>
            <br>
            <h5 class="card-title">Valores</h5>
            <div class="container">
                <h6>Valor atención básica: ${{ inicio.valorBasica }} </h6>
                <h6>Valor atención avanzada: ${{ inicio.valorAvanzada }} </h6>
                <h6>Valor atención clínica: ${{ inicio.valorClinica }} </h6>
                <h6>Valor curación: ${{ inicio.curacion }} </h6>
                <h6>Valor reconstrucción: ${{ inicio.reconstruccion }} </h6>

            </div>


        </div>


        <ng-template #contenido let-modal>
            <div class="modal-header">
                <h4 class="modal-title"> Editar página principal</h4>
                <button class="close" aria-label="close" type="button" (click)="modal.dismiss()">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <div class="container">
                    <h4>Titulo</h4>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="floatingInputTitulo" #titulo
                            value="{{ inicio.titulo }}">
                        <label for="floatingInputTitulo">Título</label>
                    </div>
                    <h4>Subtítulo</h4>
                    <div class="form-floating">
                        <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                            value="{{ inicio.subTitulo }}">
                        <label for="floatingSubTitulo">Subtítulo</label>
                    </div>
                    <br>
                    <h4>Misión</h4>
                    <div class="form">
                        <textarea class="form-control" placeholder="Leave a comment here" id="floatingTextareaMision"
                            style="height: 100px" #mision>{{ inicio.mision }}</textarea>

                    </div>
                    <br>
                    <h4>Visión</h4>
                    <div class="form">
                        <textarea class="form-control" placeholder="Leave a comment here" id="floatingTextareaVision"
                            style="height: 100px" #vision>{{ inicio.vision }}</textarea>

                    </div>
                    <br>
                    <div class="row">
                        <h4>Valores</h4>
                        <div class="col">
                            <label>Atención básica</label>
                            <div class="form mb-3">
                                <input type="number" class="form-control" id="floatingInputBasica" #basica
                                    value="{{ inicio.valorBasica }}">
                            </div>
                        </div>
                        <div class="col">
                            <label>Atención avanzada</label>
                            <div class="form mb-3">
                                <input type="number" class="form-control" id="floatingInputAvanzada" #avanzada
                                    value="{{ inicio.valorAvanzada }}">

                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <label>Atención clínica</label>
                            <div class="form mb-3">
                                <input type="number" class="form-control" id="floatingInputClinica" #clinica
                                    value="{{ inicio.valorClinica }}">

                            </div>
                        </div>
                        <div class="col">
                            <label>Curación</label>
                            <div class="form mb-3">
                                <input type="number" class="form-control" id="floatingInputCuracion" #curacion
                                    value="{{ inicio.curacion }}">

                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-6">
                            <label>Reconstrucción</label>
                            <div class="form mb-3">
                                <input type="number" class="form-control" id="floatingInputReconstruccion"
                                    #reconstruccion value="{{ inicio.reconstruccion }}">

                            </div>
                        </div>
                    </div>





                </div>

            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-success"
                    (click)="editar(titulo.value,subTitulo.value,mision.value,vision.value,basica.value,avanzada.value,clinica.value,curacion.value,reconstruccion.value)">
                    Guardar cambios </button>
            </div>
        </ng-template>




    </div>
